local natureMod = ...


natureMod:registerBehaviorTreeNode({
    Name = MOD_NS .. "PLANT_TREE",

    VariableList = {
        AgentData = "BEHAVIOR_TREE_DATA_AGENT",
        TreePosition = "BEHAVIOR_TREE_DATA_LOCATION"
	},

	Update = function(self, level, instance)
        local workplace = self.AgentData.Agent:getOwner():getEnabledComponent("COMP_VILLAGER"):getJobInstance().Workplace 
        local hutCmp = workplace:getOwner():getComponent(FOREST_HUT_COMP_TYPE)

        hutCmp:plantATree(self.TreePosition.DestinationPosition)
        return BEHAVIOR_TREE_NODE_RESULT.TRUE
	end
})