natureMod = ...

natureMod:registerAssetProcessor("models/forest_hut.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})

natureMod:registerAssetId("models/forest_hut.fbx/Prefab/ForestHutPart", MOD_NS .. "PREFAB_FOREST_HUT")
natureMod:registerPrefabComponent("models/forest_hut.fbx/Prefab/ForestHutPart", { DataType = MOD_NS .. "FOREST_HUT_COMPONENT" })

natureMod:registerAssetId("models/forest_hut.fbx/Prefab/ConstructionSteps/ForestHut", MOD_NS .. "PREFAB_FOREST_HUT_CONSTRUCTION")


natureMod:registerAsset({
	DataType = "BUILDING_PART",
	Id = MOD_NS .. "FOREST_HUT_PART",
	Description = "",
	ConstructionVisual = MOD_NS .. "PREFAB_FOREST_HUT_CONSTRUCTION",
	AssetBuildingFunction = MOD_NS .. "FOREST_HUT_BUILDING_FUNCTIONS",
	BuildingZone = { 
        ZoneEntryList = {
            { 
                Polygon = polygon.createRectangle( {4, 6}, {0, 0} ),
                Type = { DEFAULT = true, NAVIGABLE = false, GRASS_CLEAR = true } 
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = MOD_NS .. "PREFAB_FOREST_HUT"
	},
	Cost = {
		BuildRightTaxes = {
			{ Resource = "GOLD_COINS", Quantity = 50 }
		},
		UpkeepCost = {
			{ Resource = "GOLD_COINS", Quantity = 20 }
		},
		ResourceNeededList = {
			{
				{ Resource = "WOOD", Quantity = 25 },
				{ Resource = "STONE", Quantity = 10 },
			}
		}
	}
})

natureMod:registerAsset({
	DataType = "BUILDING",
	Id = MOD_NS .. "FOREST_HUT",
	Name = MOD_NS .. "FOREST_HUT_NAME",
	BuildingType = BUILDING_TYPE.RESOURCE_PRODUCTION,
	AssetCoreBuildingPart = MOD_NS .. "FOREST_HUT_PART",
	IsDestructible = true,
	IsClearTrees = true,
})