
local natureMod = ...


natureMod:registerBehaviorTreeNode({
        Name = MOD_NS .. "FIND_NEXT_PLANTING_POSITION",

        VariableList = {
                AgentData = "BEHAVIOR_TREE_DATA_AGENT",
                TreePosition = "BEHAVIOR_TREE_DATA_LOCATION"
	},

	Update = function(self, level, instance)
                local workplace = self.AgentData.Agent:getOwner():getEnabledComponent("COMP_VILLAGER"):getJobInstance().Workplace
                local hutCmp = workplace:getOwner():getComponent(FOREST_HUT_COMP_TYPE)

                local position = hutCmp:getNextSeedPosition()

                if position ~= nil then
                        self.TreePosition.DestinationPosition = position
                        return BEHAVIOR_TREE_NODE_RESULT.TRUE
                end

                return BEHAVIOR_TREE_NODE_RESULT.FALSE
	end
})